<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/lib/server/moxit_server.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li><li class="navelem"><a class="el" href="dir_cecc8ab0f6e720ec77fada3731d67481.html">lib</a></li><li class="navelem"><a class="el" href="dir_47f992fc4a5d123a396123dd9e441eaf.html">server</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">moxit_server.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="moxit__server_8h_source.html">moxit_server.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for moxit_server.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="moxit__server_8cpp__incl.png" border="0" usemap="#backend_2src_2lib_2server_2moxit__server_8cpp" alt=""/></div>
<map name="backend_2src_2lib_2server_2moxit__server_8cpp" id="backend_2src_2lib_2server_2moxit__server_8cpp">
<area shape="rect" title=" " alt="" coords="1945,5,2109,47"/>
<area shape="rect" href="moxit__server_8h.html" title=" " alt="" coords="1968,95,2086,121"/>
<area shape="rect" title=" " alt="" coords="435,393,515,420"/>
<area shape="rect" title=" " alt="" coords="2398,169,2501,196"/>
<area shape="rect" title=" " alt="" coords="2525,169,2617,196"/>
<area shape="rect" title=" " alt="" coords="2642,169,2716,196"/>
<area shape="rect" title=" " alt="" coords="400,319,475,345"/>
<area shape="rect" title=" " alt="" coords="2740,169,2804,196"/>
<area shape="rect" title=" " alt="" coords="1100,393,1162,420"/>
<area shape="rect" title=" " alt="" coords="601,319,693,345"/>
<area shape="rect" title=" " alt="" coords="324,244,410,271"/>
<area shape="rect" title=" " alt="" coords="2829,169,2897,196"/>
<area shape="rect" title=" " alt="" coords="717,319,788,345"/>
<area shape="rect" title=" " alt="" coords="1555,393,1614,420"/>
<area shape="rect" title=" " alt="" coords="2922,169,3018,196"/>
<area shape="rect" title=" " alt="" coords="3042,169,3116,196"/>
<area shape="rect" title=" " alt="" coords="540,393,664,420"/>
<area shape="rect" title=" " alt="" coords="1949,319,2020,345"/>
<area shape="rect" title=" " alt="" coords="2044,319,2170,345"/>
<area shape="rect" title=" " alt="" coords="3140,169,3234,196"/>
<area shape="rect" title=" " alt="" coords="2259,393,2360,420"/>
<area shape="rect" title=" " alt="" coords="2506,393,2601,420"/>
<area shape="rect" href="request_8h.html" title=" " alt="" coords="32,244,115,271"/>
<area shape="rect" href="request__header_8h.html" title=" " alt="" coords="190,319,325,345"/>
<area shape="rect" href="handler_8h.html" title=" " alt="" coords="244,169,327,196"/>
<area shape="rect" href="response_8h.html" title=" " alt="" coords="587,244,680,271"/>
<area shape="rect" href="http__status_8h.html" title=" " alt="" coords="812,319,919,345"/>
<area shape="rect" href="game_8hpp.html" title=" " alt="" coords="1513,244,1653,271"/>
<area shape="rect" title=" " alt="" coords="190,244,248,271"/>
<area shape="rect" href="player_8hpp.html" title=" " alt="" coords="1044,319,1135,345"/>
<area shape="rect" href="ChatBackend_8hpp.html" title=" " alt="" coords="2347,319,2526,345"/>
<area shape="rect" title=" " alt="" coords="1210,319,1279,345"/>
<area shape="rect" title=" " alt="" coords="1303,319,1362,345"/>
<area shape="rect" title=" " alt="" coords="1386,319,1458,345"/>
<area shape="rect" title=" " alt="" coords="1482,319,1567,345"/>
<area shape="rect" title=" " alt="" coords="1592,319,1662,345"/>
<area shape="rect" title=" " alt="" coords="1686,319,1784,345"/>
<area shape="rect" title=" " alt="" coords="1808,319,1873,345"/>
<area shape="rect" title=" " alt="" coords="2400,393,2473,420"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a71aac57aa11492bce472c29939e5a716"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="moxit__server_8cpp.html#a71aac57aa11492bce472c29939e5a716">log</a> (const std::string &amp;message)</td></tr>
<tr class="separator:a71aac57aa11492bce472c29939e5a716"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56c9ab3370484f10f4a9d33e12597f84"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="moxit__server_8cpp.html#a56c9ab3370484f10f4a9d33e12597f84">closeWithError</a> (const std::string &amp;errorMessage)</td></tr>
<tr class="separator:a56c9ab3370484f10f4a9d33e12597f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a56c9ab3370484f10f4a9d33e12597f84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56c9ab3370484f10f4a9d33e12597f84">&#9670;&nbsp;</a></span>closeWithError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void closeWithError </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>errorMessage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a71aac57aa11492bce472c29939e5a716"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71aac57aa11492bce472c29939e5a716">&#9670;&nbsp;</a></span>log()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void log </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
